
const CommonMixin = {
	computed: {
		// MXCombiQuery() {
		//   return {
    //     ...this.query,
    //     ...this.tableSort,
    //   };
		// },
    // MXCombiListQuery() {
		//   return {
    //     ...this.MXCombiQuery,
    //     ...this.page,
    //   };
		// }
	},
	methods: {
    MXCombiQuery() {
		  return {
        ...this.query,
        ...this.tableSort,
      };
		},
    MXCombiListQuery() {
		  return {
        ...this.MXCombiQuery(),
        ...this.page,
      };
		},
    // 删除提示
	  $deleteConfirm(text = '') {
      return this.$confirm(`确定删除数据${text}?`, '删除提示', {
        type: 'warning'
      });
    },
    // 批量删除提示
    $multDelConfirm(text = '') {
      return this.$confirm(`确定删除选中的数据${text}?`, '批量删除提示', {
        type: 'warning'
      });
    },
	}
}

export default CommonMixin;
